### Type parameters

- #### K

- #### D

### Hierarchy

- <internal>.EventTarget
  - DataProvider

## Index

### Methods

- addEventListener
- containsKeys
- createOptimizedKeyMap
- createOptimizedKeySet
- dispatchEvent
- fetchByKeys
- fetchByOffset
- fetchFirst
- getCapability
- getTotalSize
- isEmpty
- removeEventListener

## Methods

### addEventListener

- addEventListener(eventType: string, listener: EventListener): void

- Overrides EventTarget.addEventListener

  #### Parameters

  - ##### eventType: string

  - ##### listener: EventListener

  #### Returns void

### containsKeys

- containsKeys(parameters: FetchByKeysParameters<K>): Promise<ContainsKeysResults<K>>

- #### Parameters

  - ##### parameters: FetchByKeysParameters<K>

  #### Returns Promise<ContainsKeysResults<K>>

### Optional createOptimizedKeyMap

- createOptimizedKeyMap(initialMap?: Map<K, D>): Map<K, D>

- #### Parameters

  - ##### Optional initialMap: Map<K, D>

  #### Returns Map<K, D>

### Optional createOptimizedKeySet

- createOptimizedKeySet(initialSet?: Set<K>): Set<K>

- #### Parameters

  - ##### Optional initialSet: Set<K>

  #### Returns Set<K>

### dispatchEvent

- dispatchEvent(evt: <internal>.Event): boolean

- Overrides EventTarget.dispatchEvent

  #### Parameters

  - ##### evt: <internal>.Event

  #### Returns boolean

### fetchByKeys

- fetchByKeys(parameters: FetchByKeysParameters<K>): Promise<FetchByKeysResults<K, D>>

- #### Parameters

  - ##### parameters: FetchByKeysParameters<K>

  #### Returns Promise<FetchByKeysResults<K, D>>

### fetchByOffset

- fetchByOffset(parameters: FetchByOffsetParameters<D>): Promise<FetchByOffsetResults<K, D>>

- #### Parameters

  - ##### parameters: FetchByOffsetParameters<D>

  #### Returns Promise<FetchByOffsetResults<K, D>>

### fetchFirst

- fetchFirst(parameters?: FetchListParameters<D>): AsyncIterable<FetchListResult<K, D>>

- #### Parameters

  - ##### Optional parameters: FetchListParameters<D>

  #### Returns AsyncIterable<FetchListResult<K, D>>

### getCapability

- getCapability(capabilityName: string): any

- #### Parameters

  - ##### capabilityName: string

  #### Returns any

### getTotalSize

- getTotalSize(): Promise<number>

- #### Returns Promise<number>

### isEmpty

- isEmpty(): "yes" | "no" | "unknown"

- #### Returns "yes" | "no" | "unknown"

### removeEventListener

- removeEventListener(eventType: string, listener: EventListener): void

- Overrides EventTarget.removeEventListener

  #### Parameters

  - ##### eventType: string

  - ##### listener: EventListener

  #### Returns void

Generated using TypeDoc